Subject: Re: bug#50775: ispell help message times out before most people can read it

From: Eli Zaretskii <[email-masked]>
Date: Fri, 24 Sep 2021 19:10:50 +0300

> From: Juri Linkov <[email-masked]>
> Cc: 積丹尼 Dan Jacobson <[email-masked]>,
>   [email-masked]
> Date: Fri, 24 Sep 2021 18:39:03 +0300
> 
> >> EZ> For me, it times out in 5 sec, not one.
> >>
> >> In fact you're right!
> >>
> >> But it is way to short for many of us.
> >
> > It's a simple matter of increasing the timeout, since when the user
> > touches any key, the help goes away.
> 
> I have another problem with ispell timeouts: oftentimes text contains
> characters that mismatch the charsets used by ispell.  Then ispell
> waits 5 sec for every such character to display a useless error message.
> I used such change to minimize the time spent looking at these messages:

Are you still using Ispell the program as the spell-checking back-end?
AFAIK, this only happens with that old speller, but not with Hunspell
or Aspell.

That said, I have no problem with the proposed patch, since I don't
think this message should happen in any reasonable use nowadays.